.container {
  position: relative;
  border-radius: inherit;
}

.image {
  width: 100%;
  height: 100%;

  border-radius: inherit;
  object-fit: inherit;
}

.skeleton {
  position: absolute;
  inset: 0;

  display: none;
  opacity: 0;
}

.skeleton.visible,
.skeleton.visible-enter {
  display: grid;
  opacity: 1;
}

.skeleton.visible-exit {
  opacity: 0;
  transition: opacity var(--transition-duration);
}